com.versionone.apiclient.exceptions

## Class APIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.versionone.apiclient.exceptions.V1Exception
      - - com.versionone.apiclient.exceptions.APIException

- All Implemented Interfaces:
    Serializable

      public class APIException
      extends V1Exception

  Represents a generic API exception
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `APIException(String message)` Create with just a message
    `APIException(String message, Exception inner)` Create with message and exception
    `APIException(String message, String token)` Create with message and token
    `APIException(String message, String token, Exception inner)` Create with message, token, and exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### APIException

          public APIException(String message,
                              String token)

      Create with message and token
      Parameters:
        `message` - - error message
        `token` - - VersionOne object token

    - #### APIException

          public APIException(String message,
                              String token,
                              Exception inner)

      Create with message, token, and exception
      Parameters:
        `message` - - String data
        `token` - - String data
        `inner` - - Exception

    - #### APIException

          public APIException(String message)

      Create with just a message
      Parameters:
        `message` - - String data

    - #### APIException

          public APIException(String message,
                              Exception inner)

      Create with message and exception
      Parameters:
        `message` - - String data
        `inner` - - Exception

Copyright © 2020 VersionOne, Inc.. All rights reserved.